XLUNZIP(1)

NAME
xlunzip - test tool for the lzip_decompress linux module

SYNOPSIS
xlunzip [options] [files]

DESCRIPTION
Xlunzip is a test tool for the lzip decompression code of my lzip patch for linux. Xlunzip is similar to lunzip, but it uses the lzip_decompress linux module as a backend. Xlunzip tests the module for stream, buffer-to-buffer, and mixed decompression modes, including in-place decompression (using the same buffer for input and output). You can use xlunzip to check that the module produces correct results when decompressing single member files, multimember files, or the concatenation of two or more compressed files. Xlunzip can be used with unzcrash to test the robustness of the module to the decompression of corrupted data.

The distributed index feature of the lzip format allows xlunzip to decompress concatenated files in place. This can't be guaranteed to work with formats like gzip or bzip2 because they can't detect whether a high compression ratio in the first members of the multimember data is being masked by a low compression ratio in the last members.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-c, --stdout
    write to standard output, keep input files

-d, --decompress
    decompress (this is the default)

-f, --force
    overwrite existing output files

-I, --in-place
    decompress or test using only one buffer

-k, --keep
    keep (don't delete) input files

-o, --output=<file>
    write to <file>, keep input files

-q, --quiet
    suppress all messages

-t, --test
    test compressed file integrity

-v, --verbose
    be verbose (a 2nd -v gives more)

  These options are ignored when --in-place is in effect:

--insize[=<size>]
    pre-allocate and fill inbuf [default 16 KiB]

--outsize[=<size>]
    pre-allocate outbuf [default 512 MiB]

--nofill
    do not pass a fill function; requires --insize

--noflush
    do not pass a flush function; requires --outsize

If no file names are given, or if a file is '-', xlunzip decompresses from standard input to standard output. Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc...

To extract all the files from archive 'foo.tar.lz', use the commands 'tar -xf foo.tar.lz' or 'xlunzip -cd foo.tar.lz | tar -xf -'.

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid command-line options, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (e.g., bug) which caused xlunzip to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Xlunzip home page: http://www.nongnu.org/lzip/xlunzip.html

COPYRIGHT
Copyright © 2025 Antonio Diaz Diaz. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.